| Haskell Hierarchical Libraries (base package) | Contents | Index

Debug.Trace

Portability | portable
Stability | provisional
Maintainer | libraries@haskell.org

Contents

Tracing

Description
The `trace` function.
Synopsis

putTraceMsg :: String -> IO ()
trace :: String -> a -> a

Tracing
putTraceMsg :: String -> IO ()
`putTraceMsg` function outputs the trace message from IO monad. Usually the output stream is `stderr` but if the function is called from Windows GUI application then the output will be directed to the Windows debug console.
trace :: String -> a -> a
When called, `trace` outputs the string in its first argument, before returning the second argument as its result. The `trace` function is not referentially transparent, and should only be used for debugging, or for monitoring execution. Some implementations of `trace` may decorate the string that's output to indicate that you're tracing. The function is implemented on top of `putTraceMsg`.
Produced by Haddock version 0.7